'%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
'%  (C) 1987 HUMBLEWARE Custom Programming    Author: Lawrence A. Westhaver  %
'%        247 Paul Martin Drive,  Baltimore MD  21227  (301) 799-1975        %
'%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
'%                                                                           %
'%     FILENAME: FNSM$.FUN                       LAST UPDATE: 06/12/1987     %
'%                                                                           %
'%  DESCRIPTION: Set video mode. Similar to the DOS MODE command but uses    %
'%               ANSI.SYS to select video mode.                              %
'%                                                                           %
'%        USAGE: PRINT #1, FNSM$(MD%);                                       %
'%                                                                           %
'%       INPUTS: MD% = Video mode.                                           %
'%                                                                           %
'%                 0 = 40 x 25 black and white (composite only).             %
'%                 1 = 40 x 25 color.                                        %
'%                 2 = 80 x 25 black and white (composite only).             %
'%                 3 = 80 x 25 color.                                        %
'%                 4 = 320 x 200 color.                                      %
'%                 5 = 320 x 200 black and white (composite only).           %
'%                 6 = 640 x 200 black and white.                            %
'%                 7 = Wrap at end of line.                                  %
'%                                                                           %
'%      RETURNS: ANSI.SYS compatible SM string.                              %
'%                                                                           %
'%         NOTE: The ANSI.SYS device driver must be installed on your        %
'%               computer before this function can be used.                  %
'%                                                                           %
'%               This routine assumes that you have opened a disk file,      %
'%               communications port or the console prior to printing        %
'%               the ANSI control string returned by this function.          %
'%                                                                           %
'%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


DEF FNSM$(MD%)


'build ANSI CUB string

	FNSM$=CHR$(27)+"[="+MID$(STR$(MD%),2)+"h"


END DEF 'fnsm$
